Index: guix/config.scm
===================================================================
--- guix/config.scm	(revision c39b1a4ec77441181684e04b57c3b58087940bc7)
+++ guix/config.scm	(revision c39b1a4ec77441181684e04b57c3b58087940bc7)
@@ -0,0 +1,92 @@
+(use-modules (gnu) (gnu system nss)
+             (srfi srfi-1))
+
+(use-service-modules xorg
+                     networking
+                     desktop
+                     databases
+                     web
+                     docker)
+
+(use-package-modules geo)
+
+(operating-system
+ (host-name "Libreboot")
+ (timezone "Europe/Moscow")
+ (locale "ru_RU.utf8")
+
+ (bootloader (bootloader-configuration
+              (bootloader grub-bootloader)
+              (target "/dev/sda")))
+
+ (file-systems (cons* (file-system
+                       (device (file-system-label "root"))
+                       (mount-point "/")
+                       (type "ext4"))
+                      %base-file-systems))
+
+ (users (cons (user-account
+               (name "w96k")
+               (group "users")
+               (supplementary-groups '("wheel" "netdev"
+                                       "audio" "video"
+                                       "docker"))
+               (home-directory "/home/w96k"))
+              %base-user-accounts))
+
+ (packages
+  (append
+   (map specification->package
+        '(
+          "ratpoison"
+          "stumpwm"
+          "i3-wm"
+          "inputattach"
+          "font-dejavu"
+          "mailutils"
+          "font-terminus"
+          "emacs-no-x-toolkit"
+          "fontconfig"
+          "git"
+          "htop"
+          "netcat"
+          "nss-certs"
+          "openssh"
+          "vim"
+          "xinit"
+          "xf86-video-intel"
+          "x86-energy-perf-policy"
+          "xterm"
+          "xinit"
+          "rxvt-unicode"
+          "node"
+          "ruby"
+          "bundler"
+          "docker"
+          "docker-cli"
+          "nix"
+          "postgresql"
+          "php"))
+   %base-packages))
+
+ ;; Use the "desktop" services, which include the X11
+ ;; log-in service, networking with NetworkManager, and more.
+ 
+ (services
+  (cons*
+   (service slim-service-type)
+   (service inputattach-service-type
+            (inputattach-configuration
+              (device "/dev/ttyS4")
+              (device-type "wacom")))
+   (postgresql-service #:extension-packages (list postgis))
+   (service docker-service-type)
+   (service tor-service-type)
+   (console-keymap-service "ru")
+
+   (remove (lambda (service)
+             (eq? (service-kind service) gdm-service-type))
+           %desktop-services)))
+
+ ;; Allow resolution of '.local' host names with mDNS.
+ (name-service-switch %mdns-host-lookup-nss))
Index: guix/work.scm
===================================================================
--- guix/work.scm	(revision c39b1a4ec77441181684e04b57c3b58087940bc7)
+++ guix/work.scm	(revision c39b1a4ec77441181684e04b57c3b58087940bc7)
@@ -0,0 +1,78 @@
+;; This is my pc at work
+
+(use-modules (gnu) (gnu system nss)
+	     (srfi srfi-1))
+
+(use-service-modules xorg desktop networking desktop databases web docker)
+(use-package-modules certs geo)
+
+(operating-system
+ (host-name "w96k")
+ (timezone "Europe/Moscow")
+ (locale "ru_RU.utf8")
+
+ ;; Choose US English keyboard layout.  The "altgr-intl"
+ ;; variant provides dead keys for accented characters.
+ (keyboard-layout (keyboard-layout "us" "altgr-intl"))
+
+ ;; Use the UEFI variant of GRUB with the EFI System
+ ;; Partition mounted on /boot/efi.
+ (bootloader (bootloader-configuration
+              (bootloader grub-efi-bootloader)
+              (target "/boot/efi")
+              ;;                (target "/dev/sda")
+              (keyboard-layout keyboard-layout)))
+
+ (file-systems (cons*
+                (file-system
+                 (device (file-system-label "guix"))
+                 (mount-point "/")
+                 (type "ext4"))
+		(file-system
+                 (device (uuid "ACA8-6834" `fat))
+                 (mount-point "/boot/efi")
+                 (type "vfat"))
+                %base-file-systems))
+
+ (users (cons (user-account
+               (name "w96k")
+               (group "users")
+               (supplementary-groups '("wheel" "netdev"
+                                       "audio" "video"))
+               (home-directory "/home/w96k"))
+              %base-user-accounts))
+
+ ;; This is where we specify system-wide packages.
+ (packages (append (map specification->package
+                        '(
+                          "ratpoison"
+                          "stumpwm"
+                          "emacs-no-x-toolkit"
+                          "font-dejavu"
+                          "font-inconsolata"
+                          "font-fira-code"
+                          "font-terminus"
+                          "fontconfig"
+                          "nix"
+                          "bundler"
+                          "node"
+                          "ruby"
+                          "git"
+                          "htop"
+                          "rxvt-unicode"
+                          "nss-certs"
+                          "gvfs"))
+                   %base-packages))
+
+ (services (cons*
+            (service slim-service-type)
+            ;;                          (set-xorg-configuration
+            ;;                           (xorg-configuration
+            ;;                            (keyboard-layout keyboard-layout))))
+
+            (remove (lambda (service)
+                      (eq? (service-kind service) gdm-service-type))
+                    %desktop-services)))
+
+ ;; Allow resolution of '.local' host names with mDNS.
+ (name-service-switch %mdns-host-lookup-nss))
Index: readme.org
===================================================================
--- readme.org	(revision c39b1a4ec77441181684e04b57c3b58087940bc7)
+++ readme.org	(revision c39b1a4ec77441181684e04b57c3b58087940bc7)
@@ -0,0 +1,38 @@
+* Dotfiles
+Here you can find my dotfiles for various of unix programs.
+
+** GUIX
+   I use guixsd as my primary linux distro. It's GNU (totally libre),
+   extensible by GNU/Guile & based on nix package manager. Nix is the
+   future of package management.
+
+   [[config.scm][My config]]
+
+** Emacs
+[[emacs.png]]
+
+*** My setup
+| Font  | terminus                    |
+| Theme | sanityinc-tomorrow-eighties |
+
+
+| use-package            | Package management                         |
+| ivy                    | Autocomplete tool (search, find-file, M-x) |
+| aggressive indent mode | Auto formatting for code                   |
+| magit                  | Git frontend                               |
+| org-mode               | Mode for writing documents & more          |
+| exwm                   | Window manager within emacs                |
+| flycheck               | Spot code errors on the fly                |
+| powerline              |                                            |
+
+And many more! I left comments in my config, so you can get idea what
+packages do.
+
+** Install
+
+#BEGIN_SRC
+git clone <this_repo>
+cd <this_repo>
+
+stow <dir>
+#END_SRC
Index: wm/.stumpwmrc
===================================================================
--- wm/.stumpwmrc	(revision f30e1cd3c795ada69723131d541c8e45210ffdce)
+++ wm/.stumpwmrc	(revision c39b1a4ec77441181684e04b57c3b58087940bc7)
@@ -1,41 +1,47 @@
-;; -*- mode: common-lisp -*-
-
 (in-package :stumpwm)
 
-(run-shell-command "xfce4-panel")
+(setq *startup-message* nil)
+(setq *startup-mode-line* t)
 
-(setq *startup-message* "Welcome to your lovely LISP-machine")
-(set-prefix-key (kbd "C-TAB"))
+(set-module-dir "~/stumpwm/contrib")
 
-(set-normal-gravity :top)
+;; Modeline Battery
+(load-module "battery-portable")
+(load-module "cpu")
+(load-module "mem")
 
+(setf *mode-line-pad-x* 8
+      *mode-line-pad-y* 1
+      *mode-line-timeout* 2
+      *window-border-style* :thin
+      *frame-number-map* "1234567890"
+      *mode-line-position* :top
+      *window-format* "%m%n%s%c"
+      *cpu-modeline-fmt* "%C"
+      *delim* " ^2::^7 "
+      *screen-mode-line-format* (list
+                                 ;; Windows
+                                 ;;"[^B%n^b]"
+                                 "^7%W ^>^7"
+                                 ;; CPU
+                                 "%C" *delim*
+                                 ;; RAM
+                                 "%M" *delim*
+                                 ;; Battery
+                                 "%B" *delim*
+                                 ;; Date
+                                 "%d"
+                                 ))
+
+;; launch Web browser
 (defcommand icecat () ()
-	    (run-or-raise "icecat" '(:class "IceCat")))
+  "Start Icecat or switch to it, if it is already running."
+  (run-or-raise "icecat" '(:class "IceCat")))
+(define-key *root-map* (kbd "B") "icecat")
 
-(defcommand firefox () ()
-	    (run-or-raise "firefox" '(:class "Firefox")))
+;; Change xterm to urxvt
+(define-key *root-map* (kbd "c") "exec urxvt")
 
-(defcommand nyxt () ()
-	    "Start Next or switch to it, if it is already running."
-	    (run-or-raise "nyxt" '(:class "nyxt")))
-	    
-(define-key *root-map* (kbd "b") "nyxt")
-
-;; launch terminal
-(defcommand xterm () ()
-  "Start Urxvt or switch to it, if it is already running."
-  (run-or-raise "xterm" '(:class "xterm")))
-
-(define-key *root-map* (kbd "c") "xterm")
-(define-key *root-map* (kbd "C") "xterm")
-
-;; Change emacs to emacsclient
-(defcommand emacsclient () ()
-  (run-or-raise "emacsclient -c -a emaces" '(:class "Emacs")))
-(defcommand emacs () ()
-  (run-or-raise "emacs" '(:class "Emacs")))
-  (define-key *root-map* (kbd "e") "emacs")
-
-;; Volume Management in thinkpad
+;; Volume Management
 (progn
   (define-key *top-map* (kbd "XF86AudioLowerVolume") "exec amixer -q sset Master 3%-")
@@ -43,24 +49,5 @@
   (define-key *top-map* (kbd "XF86AudioMute") "amixer -q sset Master toggle"))
 
-;; Printscreen
-(defcommand printscreen () ()
-	    "Works in X11 only"
-	    (message "Print screen region")
-	    (run-shell-command "import screenshot.png"))
-	    
-(define-key *top-map* (kbd "SunPrint_Screen") "printscreen")
-
-;; Enable Mode-line
-;;(enable-mode-line (current-screen) (current-head) t)
-
-;; Gaps: useless concept to be honest
-;; (load-module "swm-gaps")
-;; (setf swm-gaps:*inner-gaps-size* 0)
-;; (setf swm-gaps:*outer-gaps-size* 2)
-;; (swm-gaps:toggle-gaps)
-
-;; Show / Hide mode-line
-;; (define-key *root-map* (kbd "M") "mode-line")
-
-;; Old fix for scrolling gtk issue
-(setf (getenv "GDK_CORE_DEVICE_EVENTS") "1")
+;; Mode-line
+(progn
+  (enable-mode-line (current-screen) (current-head) t))
